darcs-2.8.4: a distributed, interactive, smart revision control system

Portability | portable
Stability | experimental
Maintainer | darcs-devel@darcs.net
Safe Haskell | None

URL

Description

Synopsis

- copyUrl :: String -> FilePath -> Cachable -> IO ()
- copyUrlFirst :: String -> FilePath -> Cachable -> IO ()
- setDebugHTTP :: IO ()
- disableHTTPPipelining :: IO ()
- maxPipelineLength :: IO Int
- waitUrl :: String -> IO ()
- data Cachable
  - = Cachable
  - | Uncachable
  - | MaxAge !CInt
- environmentHelpProxy :: ([String], [String])
- environmentHelpProxyPassword :: ([String], [String])
- data ConnectionError
  - = CouldNotResolveHost
  - | CouldNotConnectToServer
  - | OperationTimeout

# Documentation

copyUrl :: String -> FilePath -> Cachable -> IO ()

copyUrlFirst :: String -> FilePath -> Cachable -> IO ()

setDebugHTTP :: IO ()

disableHTTPPipelining :: IO ()

maxPipelineLength :: IO Int

waitUrl :: String -> IO ()

data Cachable

Constructors

Cachable |
Uncachable |
MaxAge !CInt |

Instances

Eq Cachable |
Show Cachable |

environmentHelpProxy :: ([String], [String])

environmentHelpProxyPassword :: ([String], [String])

data ConnectionError

Data type to represent a connection error. The following are the codes from libcurl which map to each of the constructors: * 6 -> CouldNotResolveHost : The remote host was not resolved. * 7 -> CouldNotConnectToServer : Failed to connect() to host or proxy. * 28 -> OperationTimeout: the specified time-out period was reached.

Constructors

CouldNotResolveHost |
CouldNotConnectToServer |
OperationTimeout |

Instances

Eq ConnectionError |
Read ConnectionError |
Show ConnectionError |